﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PNG.Model
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class Entities : DbContext
    {
        public Entities()
            : base("name=Entities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Core_Module_Tree_Master> Core_Module_Tree_Master { get; set; }
        public virtual DbSet<AppRouteMenu> AppRouteMenus { get; set; }
        public virtual DbSet<User_Master> User_Master { get; set; }
        public virtual DbSet<User_Role_Relation> User_Role_Relation { get; set; }
        public virtual DbSet<Role_Master> Role_Master { get; set; }
        public virtual DbSet<Module_Tree_User_Relation> Module_Tree_User_Relation { get; set; }
        public virtual DbSet<Module_Tree_Role_Relation> Module_Tree_Role_Relation { get; set; }
        public virtual DbSet<Customer> Customers { get; set; }
        public virtual DbSet<Enterprise> Enterprises { get; set; }
        public virtual DbSet<State> States { get; set; }
        public virtual DbSet<Zipcode> Zipcodes { get; set; }
        public virtual DbSet<Reference> References { get; set; }
        public virtual DbSet<Pickup_Request> Pickup_Request { get; set; }
        public virtual DbSet<Shipment> Shipments { get; set; }
        public virtual DbSet<V_PersonCharge> V_PersonCharge { get; set; }
    }
}
